## Apache Zeta Components Manual :: Docs For Class ezcFeedElement

### Feed::ezcFeedElement

### Class ezcFeedElement

Base container for element data.

Source for this file: /Feed/src/interfaces/element.php

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcFeedGeneratorElement | Class defining a generator element.
ezcFeedLinkElement | Class defining a link element.
ezcFeedSourceElement | Class defining a feed source element.
ezcFeedEntryElement | Class defining a feed entry.
ezcFeedSkipDaysElement | Class defining a skipDays element.
ezcFeedTextInputElement | Class defining a text input feed element.
ezcFeedSkipHoursElement | Class defining a skipHours element.
ezcFeedEnclosureElement | Class defining an enclosure element.
ezcFeedCategoryElement | Class defining a category.
ezcFeedPersonElement | Class defining a person.
ezcFeedIdElement | Class defining an identifier.
ezcFeedCloudElement | Class defining a cloud element.
ezcFeedImageElement | Class defining an image element.
ezcFeedTextElement | Class defining a text element.
ezcFeedDateElement | Class defining a date element.

### Properties

string | read/write | `$language` The language of a feed element. Mainly used by ATOM elements with the type ezcFeedTextElement (title, description, content, copyright, etc). It is inherited in all feed elements.

### Member Variables

protected array(string=>mixed) | `$properties = array()` Holds the properties of this class.

Documentation generated by phpDocumentor 1.4.3